=begin pod

=TITLE class X::NYI

    class X::NYI is Exception { }

Error class for unimplemented features. I<NYI> stands for I<Not Yet
Implemented>.

If a Perl 6 compiler is not yet feature complete, it may throw an C<X::NYI>
exception when a program uses a feature that it can detect is not yet
implemented.

A full-featured Perl 6 compiler must not throw such exceptions, but
still provide the C<X::NYI> class for compatiblity reasons.

A typical error message is

    HyperWhatever is not yet implemented. Sorry.

=head1 Methods

=head2 features

Returns a C<Str> describing the missing feature.

=end pod
